Subject: Re: Workaround for USB DMA bugs

From: David Gibson <[email-masked]>
Date: Thu, 4 Apr 2002 13:48:09 +1000

On Wed, Apr 03, 2002 at 09:54:29PM -0500, Dan Malek wrote:
>
> David Gibson wrote:
>
>
> >It's becoming easier though, with the __cacheline_aligned macro.  Plus
> >I think if the buffer is individually kmalloc()ed it will be properly
> >aligned.
>
> Alignment is only half the problem.  You have to ensure the object is
> modulo cache line size as well.  You can't be sharing cache lines subject
> to DMA with other DMA or processor core data.

Oh, right, yes.  That was actually what I was meaning when I said
"aligned" (sort of aligned at both ends), forgetting that the normal
meaning only applies to the start address.

--
David Gibson			| For every complex problem there is a
[email-masked]	| solution which is simple, neat and
				| wrong.  -- H.L. Mencken
http://www.ozlabs.org/people/dgibson

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/